For the complete documentation index, see llms.txt. This page is also available as Markdown.

getEpochSchedule

getEpochSchedule — Epoch schedule

post
/

Returns the genesis epoch schedule that this cluster is using.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getEpochSchedule.

Example: getEpochSchedulePossible values:
paramsarrayRequired

No parameters.

Responses
200

Successful getEpochSchedule response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getEpochSchedule",
    "params": []
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "slotsPerEpoch": 432000,
    "leaderScheduleSlotOffset": 432000,
    "warmup": false,
    "firstNormalEpoch": 0,
    "firstNormalSlot": 0
  }
}

Last updated